<?php

namespace FOP;

class CLILogger extends \Psr\Log\AbstractLogger {
  
  

  
  

  
  

    // --- Eigenschaften ---
  
  private $konto ;

    // --- Methoden ---
  
  public function __construct($konto) {
    
    
     
    $this->konto = $konto;
    
  }
  public function log($level, $message, $context = array() ) {
    
    
     
    
        $message .= count($context) === 0 ? '' : ' ' . implode(', ', $context);
        \Tables\Fop_fints_konto::logging(utf8_encode($message), $level, $this->konto);

    
  }
}



